### Hierarchy

- unknown
  - FiatCurrency

## Index

### Constructors

- constructor

### Methods

- clearCurrency
- getCurrency
- hasCurrency
- serializeBinary
- setCurrency
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new FiatCurrency(): FiatCurrency

- Inherited from jspb.Message.constructor

  #### Returns FiatCurrency

## Methods

### clearCurrency

- clearCurrency(): FiatCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8053

  #### Returns FiatCurrency

### getCurrency

- getCurrency(): undefined | Currency

- - Defined in src/protobuf/pb_pb.d.ts:8050

  #### Returns undefined | Currency

### hasCurrency

- hasCurrency(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:8052

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:8055

  #### Returns Uint8Array

### setCurrency

- setCurrency(value?: Currency ): FiatCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8051

  #### Parameters

  - ##### Optional value: Currency

  #### Returns FiatCurrency

### toObject

- toObject(includeInstance?: boolean): FiatCurrency . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8056

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns FiatCurrency . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): FiatCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8059

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns FiatCurrency

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: FiatCurrency, reader: BinaryReader): FiatCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8060

  #### Parameters

  - ##### message: FiatCurrency

  - ##### reader: BinaryReader

  #### Returns FiatCurrency

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: FiatCurrency, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:8058

  #### Parameters

  - ##### message: FiatCurrency

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: FiatCurrency ): FiatCurrency . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8057

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: FiatCurrency

  #### Returns FiatCurrency . AsObject

Generated using TypeDoc